## com.baidubce.services.sms.model
Class QueryMessageDetailResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.sms.model.SmsResponse
              com.baidubce.services.sms.model.QueryMessageDetailResponse

    public class QueryMessageDetailResponse

extends SmsResponse

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`QueryMessageDetailResponse()`

Method Summary
`String` `getContent()`
`String` `getMessageId()`
`List<String>` `getReceiver()`
`Date` `getSendTime()`
`void` `setContent(String content)`
`void` `setMessageId(String messageId)`
`void` `setReceiver(List<String> receiver)`
`void` `setSendTime(Date sendTime)`
`String` `toString()`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryMessageDetailResponse

    public QueryMessageDetailResponse()

Method Detail

### getMessageId

    public String getMessageId()

### setMessageId

    public void setMessageId(String messageId)

### getContent

    public String getContent()

### setContent

    public void setContent(String content)

### getReceiver

    public List<String> getReceiver()

### setReceiver

    public void setReceiver(List<String> receiver)

### getSendTime

    public Date getSendTime()

### setSendTime

    public void setSendTime(Date sendTime)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.